package com.xy.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;


@Data
@Accessors(chain = true)
public class SmsSendCommonDTO {

    @NotBlank(message = "手机号不能为空")
    private String mobile;

    @NotNull(message = "发送场景不能为空")
    private Integer scene;


    @NotBlank(message = "短信模板参数值")
    @ApiModelProperty(value = "短信模板参数值")
    private String paramValue;

    @NotNull(message = "手机号不能为空")
    @ApiModelProperty(value = "消息配置ID")
    private Long msgConfigId;

    @ApiModelProperty(value = "用户ID")
    private Long userInfoId;


}
